Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005629 [JEDI VCL] 00 JVCL Components major always 2011-08-03 13:47 2012-09-10 14:15
Reporter Daniel77 View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0005629: TJvCheckTreeView: checkboxes in tree view do not behave correctly
Description Run the CheckTVDemo from the examples and try to check a checkbox. It will cycle through "checked box"->"unchecked box"->"unchecked radio"

Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0018998)
Arioch (developer)
2011-09-30 18:59

SLightly of topic, please, modify the demo

Line 236 of main form pas. let it have number with the title.
       N := JvCheckTreeView1.Items.AddChild(nil, edText.Text + ' ['+IntToStr(i)+']')
       
When all items with the same title - it's harder to tell them from one another, in logs or in inspect/debug
-----

Trying clicking the radiobutton is even more fun, it cycles through all 4 styles, checked/unchecked and radio/checkbox
(0018999)
Arioch (developer)
2011-09-30 19:22

And line 238 too is to be adjusted like

N := JvCheckTreeView1.Items.AddChild(JvCheckTreeView1.Items[aIndex], edText.Text + ' ('+IntToStr(i)+')')
(0019519)
obones (administrator)
2012-02-23 17:34

This took me most of the day, but I found a way to fix this and it's now in SVN.

- Issue History
Date Modified Username Field Change
2011-08-03 13:47 Daniel77 New Issue
2011-09-21 14:14 obones Status new => acknowledged
2011-09-30 18:59 Arioch Note Added: 0018998
2011-09-30 18:59 Arioch Description Updated
2011-09-30 19:22 Arioch Note Added: 0018999
2012-02-23 17:34 obones Note Added: 0019519
2012-02-23 17:34 obones Status acknowledged => resolved
2012-02-23 17:34 obones Fixed in Version => Daily / SVN
2012-02-23 17:34 obones Resolution open => fixed
2012-02-23 17:34 obones Assigned To => obones
2012-09-10 14:15 obones Fixed in Version Daily / SVN => 3.46


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker